var map = new L.Map('map');
var cloudmadeUrl = 'http://{s}.tile.cloudmade.com/45b6834087d44a2a893cd1a55ca725a5/997/256/{z}/{x}/{y}.png',
cloudmadeAttrib = 'Map data &copy; 2011 OpenStreetMap contributors, Imagery &copy; 2011 CloudMade',
cloudmade = new L.TileLayer(cloudmadeUrl, {maxZoom: 20, attribution: cloudmadeAttrib});
var bagneux = new L.LatLng(48.7957, 2.3186); // geographical point (longitude and latitude)
map.setView(bagneux, 13).addLayer(cloudmade);

var markerLocation = new L.LatLng(48.7957, 2.3186);
var fizzyballMarker = new L.Marker(markerLocation);
map.addLayer(fizzyballMarker);

var markerLocation = new L.LatLng(48.7960, 2.3199);
var foutaizMarker = new L.Marker(markerLocation);
map.addLayer(foutaizMarker);

var markerLocation = new L.LatLng(48.7999, 2.3299);
var helpMarker = new L.Marker(markerLocation);
map.addLayer(helpMarker);

//var circleLocation = new L.LatLng(48.7957, 2.3186),
//circleOptions = {
  //  color: \'#00ff00\', 
  //  fillColor: \'#00ff00\', 
  //  fillOpacity: 0.3
//};

//var circle = new L.Circle(circleLocation, 500, circleOptions);
//map.addLayer(circle);

fizzyballMarker.bindPopup("<b>Fizzyball Library!</b><br /><a href=\"/microlibrary.pl?lib=Fizzyball\">Borrow my books</a>");

foutaizMarker.bindPopup("<b>Simon Foutaiz Library!</b><br /><a href=\"/microlibrary.pl?lib=simonfoutaiz\">Borrow my books or come on pace too read it.</a>");

helpMarker.bindPopup("<b>Welcome!</b><br />Click the blue pins to display infos about libraries").openPopup();

//circle.bindPopup("I am a circle.");