#!/usr/bin/perl
use strict;
use warnings;
use Template;
use CGI;

$| = 1;


my $cgi = CGI->new();
$cgi->header(-charset => 'utf-8');
print $cgi->header();

my $file = 'user_info.html';
my $vars = {
    'version'  => 3.14,
    'days'     => [ qw( mon tue wed thu fri sat sun ) ],
    'worklist' => \&get_user_projects,
    'cgi'      => CGI->new(),
    'me'       => {
        'id'     => 'smonff',
        'name'   => 'Simon Smonff',
    },
};

sub get_user_projects {
    my $user = shift;
    my @projects = ("Self Shelf Swap", "shurf.pl", "Paris Kiwi", "ESF");   # do something to retrieve data
    return \@projects;
}

my $template = Template->new({
    INCLUDE_PATH => '/home/foutaiz/_selfshelfswap_workspace/trunk/dime_and_a_shoestring/lib/View/tmpl/TT_example:/tmp',
    PRE_PROCESS  => 'config',
});

$template->process($file, $vars)
    || die $template->error();