#!/usr/bin/perl -w
# © Self Shelf SwapSimon Foutaiz
# 27 oct. 2011
# GNU GPL License
# Tests for Data::RDF::RDFTool

# Une bonne pratique consiste à d'abord ajouter des tests dans le but de 
# reproduire une erreur constatée pour ensuite modifier le code fautif afin qu'il 
# passe les tests. L'intérêt de cette pratique, écrire les tests d'abord, 
# ne se limite pas à la reproduction des bugs.
# http://articles.mongueurs.net/magazines/linuxmag88.html

use strict;
use warnings;
use Test::More;
use Data::CURL::CurlRequester;
use Data::Dumper;

plan tests => 3;
# plan 'no_plan'; # if test nbr not known

# Please change to test on another environment
$ENV{HOME} = "/home/foutaiz/Documents/open-art-mafia/perl/selfshelfswap_workspace/trunk/dime_and_a_shoestring/lib";

#


#require_ok( '' );
#use_ok( '' );

my $curl_requester = Data::CURL::CurlRequester->new;

ok( defined $curl_requester, 'New returned something' );
isa_ok( $curl_requester, 'Data::CURL::CurlRequester', '$curl_requester');
can_ok( $curl_requester, 
        qw( 
            build_the_list_request
            send_the_book_request
            send_the_list_request
            test_request_status
        )
);

